cannot upgrade iphoto????

mintymoon

macrumors newbie
Original poster
Mar 24, 2012
2
0
Hello,

I hope someone can help me, I am using a imac G5 desktop, running 10.5.8. The current iphoto which is running is 5.0.4, i would like to use a higher version, as i want to be able to do more with my photos, and also to be able to sort photos in to events.
I have tried using the apple support page thingy, and I have downloaded and tried to upgrade with iphoto 6.0.4 and 7.1.5 both times i got an error message saying that:An eligible iPhoto application was not found in the location /Applications/iPhoto.app.

what can i do now? can someone help me? :( :( :(
 

r.j.s

Moderator emeritus
Mar 7, 2007
14,927
35
Texas
You can't just download the updates, as they are not the full app ... you need to buy a newer version of iLife.
 

mintymoon

macrumors newbie
Original poster
Mar 24, 2012
2
0
which ilife do i need? i looked on apple, and there is ilife 11, when i click buy now, it says i need to go to the app store....when i go to the app store..it says i cant run the app store as i not on snow leopard...what now?

can ilife 11, even work on this computer?
 

r.j.s

Moderator emeritus
Mar 7, 2007
14,927
35
Texas
can ilife 11, even work on this computer?
No, you need an earlier version:

iLife '08 should run on your G5:

Mac computer with an Intel, PowerPC G5, or PowerPC G4 processor

iMovie ’08 requires a Mac computer with an Intel processor, a Power Mac G5 (dual 2.0 GHz or faster), or an iMac G5 (1.9 GHz or faster)
iDVD ’08 requires 733MHz or faster processor

512 MB of RAM; 1 GB recommended; high-definition video requires at least 1 GB of RAM

3 GB of available disk space
DVD drive required for installation